# -*- encoding: utf-8 -*-
# stub: ebs_conductor 0.0.4 ruby lib

Gem::Specification.new do |s|
  s.name = "ebs_conductor".freeze
  s.version = "0.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Ryan Geyer".freeze]
  s.date = "2011-07-08"
  s.description = "= ebs_conductor\n\nThe EBS Conductor is a library for managing Amazon Elastic Block Storage volumes and snapshots.  It is designed to persist a specific set of data (a \"lineage\") between different compute instances.\n\nEBS Conductor can be used on it's own, but it's most powerful when executed on an EC2 instance using Chef, and the ebs_conductor cookbook[https://github.com/rgeyer/cookbooks/tree/master/cookbooks/ebs_conductor]\n\n== Examples\n\n=== Attach a new 1GB blan volume in the lineage \"foobar\" to a linux box at /dev/sdb1\n\n    ebs_conductor = Rgeyer::Gem::EbsConductor.new('...','...')\n    ebs_conductor.attach_from_lineage('i-abcd1234', 'foobar', 1, '/dev/sdb1')\n\n=== Attach a specific snapshot to a 1GB volume in the lineage \"foobar\" to a linux box at /devb/sdb1\n\n    ebs_conductor = Rgeyer::Gem::EbsConductor.new('...','...')\n    ebs_conductor.attach_from_lineage('i-abcd1234', 'foobar', 1, '/dev/sdb1' {:snapshot_id => 'snap-abcd1234'})\n\n=== Snapshot the lineage \"foobar\", do not purge any old snapshots in the lineage\n\n    ebs_conductor = Rgeyer::Gem::EbsConductor.new('...','...')\n    ebs_conductor.snapshot_lineage('foobar')\n\n=== Snapshot the lineage \"foobar\", and purge old snapshots so that only 7 remain\n\n    ebs_conductor = Rgeyer::Gem::EbsConductor.new('...','...')\n    ebs_conductor.snapshot_lineage('foobar', {:history_to_keep => 7})\n\n=== Snapshot the lineage \"foobar\" from the specified volume_id\nThis is useful if you're trying to start a lineage from a \"naked\" instance, or if you are trying to create a new lineage from an existing one\n\n    ebs_conductor = Rgeyer::Gem::EbsConductor.new('...','...')\n    ebs_conductor.snapshot_lineage('foobar', {:history_to_keep => 7, :volume_id => 'vol-abcd1234'})\n\n== List of To Do Items\n* Support for stripes in a lineage\n\n== Copyright\n\nCopyright (c) 2011 Ryan Geyer. See LICENSE.txt for\nfurther details.\n\n".freeze
  s.email = "me@ryangeyer.com".freeze
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.rdoc".freeze]
  s.files = ["LICENSE.txt".freeze, "README.rdoc".freeze]
  s.homepage = "http://github.com/rgeyer/ebs_conductor".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "A RightScale/Amazon EC2 EBS library".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<fog>.freeze, ["~> 0.9.0"])
    s.add_runtime_dependency(%q<skeme>.freeze, ["~> 0.0.7"])
    s.add_runtime_dependency(%q<rest_connection>.freeze, [">= 0.0.21"])
    s.add_development_dependency(%q<shoulda>.freeze, [">= 0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0.0"])
    s.add_development_dependency(%q<jeweler>.freeze, ["~> 1.5.2"])
    s.add_development_dependency(%q<rcov>.freeze, [">= 0"])
  else
    s.add_dependency(%q<fog>.freeze, ["~> 0.9.0"])
    s.add_dependency(%q<skeme>.freeze, ["~> 0.0.7"])
    s.add_dependency(%q<rest_connection>.freeze, [">= 0.0.21"])
    s.add_dependency(%q<shoulda>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0.0"])
    s.add_dependency(%q<jeweler>.freeze, ["~> 1.5.2"])
    s.add_dependency(%q<rcov>.freeze, [">= 0"])
  end
end
